services:
  cache.toolbar:
    class: Drupal\Core\Cache\CacheBackendInterface
    tags:
      - { name: cache.bin }
    factory: ['@cache_factory', 'get']
    arguments: [toolbar]
  toolbar.page_cache_request_policy.allow_toolbar_path:
    class: Drupal\toolbar\PageCache\AllowToolbarPath
    tags:
      - { name: page_cache_request_policy }
  toolbar.menu_tree:
    class: Drupal\toolbar\Menu\ToolbarMenuLinkTree
    arguments: ['@menu.tree_storage', '@plugin.manager.menu.link', '@router.route_provider', '@menu.active_trail', '@callable_resolver']
